> ## Documentation Index
> Fetch the complete documentation index at: https://developer.breakcold.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List leads with pagination and filters



## OpenAPI

````yaml /v3/api-reference/openapi.json post /leads/list
openapi: 3.0.3
info:
  title: Breakcold OpenAPI
  version: 3.1.0
servers:
  - url: https://api.breakcold.com/rest
security: []
externalDocs:
  url: https://developer.breakcold.com
paths:
  /leads/list:
    post:
      tags:
        - Leads
      summary: List leads with pagination and filters
      operationId: lead-list
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                cursor:
                  type: number
                filter:
                  type: object
                  properties:
                    leads:
                      type: array
                      items:
                        type: string
                    not_leads:
                      type: array
                      items:
                        type: string
                    is_company:
                      type: boolean
                    is_contract:
                      type: boolean
                    is_tracked:
                      type: boolean
                    ai_enabled:
                      type: boolean
                    email_status:
                      type: string
                      enum:
                        - all
                        - bounce
                        - not-sure-bounce
                        - valid
                        - no-email
                        - has-email
                    search:
                      type: string
                    has_icebreaker:
                      type: boolean
                    tags:
                      type: array
                      items:
                        type: string
                    status:
                      type: array
                      items:
                        type: string
                    has_list:
                      type: boolean
                    has_no_list:
                      type: boolean
                    lists:
                      type: array
                      items:
                        type: string
                    has_owner:
                      type: boolean
                    has_no_owner:
                      type: boolean
                    owners:
                      type: array
                      items:
                        type: string
                    score:
                      type: array
                      items:
                        type: string
                    attributes:
                      type: array
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                          value:
                            anyOf:
                              - type: string
                              - type: number
                              - type: boolean
                              - type: string
                              - type: array
                                items:
                                  type: string
                              - type: object
                                properties:
                                  lat:
                                    type: number
                                  lng:
                                    type: number
                                required:
                                  - lat
                                  - lng
                          operator:
                            type: string
                            enum:
                              - equals
                              - not_equals
                              - contains
                              - not_contains
                              - greater_than
                              - less_than
                              - greater_than_or_equal
                              - less_than_or_equal
                              - between
                              - in
                              - not_in
                              - is_empty
                              - is_not_empty
                        required:
                          - id
                          - value
                          - operator
                pagination:
                  anyOf:
                    - anyOf:
                        - type: object
                          properties:
                            all:
                              type: boolean
                              enum:
                                - true
                          required:
                            - all
                        - type: object
                          properties:
                            cursor:
                              type: string
                            take:
                              type: number
                              default: 0
                            skip:
                              type: number
                              default: 0
                          required:
                            - cursor
                    - type: object
                      properties:
                        page:
                          type: number
                          default: 0
                        page_size:
                          type: number
                          minimum: 10
                          maximum: 100
                          default: 30
                  default:
                    page: 0
                    page_size: 30
                orderBy:
                  type: array
                  items:
                    type: object
                    properties:
                      field:
                        type: string
                        default: created_at
                      type:
                        type: string
                        enum:
                          - asc
                          - desc
                        default: desc
                  default:
                    - field: created_at
                      type: desc
                include:
                  type: boolean
                  default: true
                id_only:
                  type: boolean
                mode:
                  type: string
                  enum:
                    - default
                    - pipeline
                  default: default
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  leads:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        email:
                          type: string
                          nullable: true
                        company:
                          type: string
                          nullable: true
                        phone:
                          type: string
                          nullable: true
                        linkedin_url:
                          type: string
                          nullable: true
                        linkedin_company_url:
                          type: string
                          nullable: true
                        facebook_username:
                          type: string
                          nullable: true
                        youtube_username:
                          type: string
                          nullable: true
                        instagram_username:
                          type: string
                          nullable: true
                        telegram_username:
                          type: string
                          nullable: true
                        whatsapp_username:
                          type: string
                          nullable: true
                        search_query:
                          type: string
                          nullable: true
                        created_at:
                          type: string
                        updated_at:
                          type: string
                          nullable: true
                        first_name:
                          type: string
                          nullable: true
                        icebreaker:
                          type: string
                          nullable: true
                        last_name:
                          type: string
                          nullable: true
                        website_url:
                          type: string
                          nullable: true
                        timezone:
                          type: string
                          nullable: true
                        city:
                          type: string
                          nullable: true
                        company_role:
                          type: string
                          nullable: true
                        twitter_name:
                          type: string
                          nullable: true
                        avatar_url:
                          type: string
                          nullable: true
                        icebreaker_2:
                          type: string
                          nullable: true
                        icebreaker_3:
                          type: string
                          nullable: true
                        icebreaker_4:
                          type: string
                          nullable: true
                        email_bounce_score:
                          type: integer
                          nullable: true
                        twitter_company_name:
                          type: string
                          nullable: true
                        is_company:
                          type: boolean
                        is_contract:
                          type: boolean
                        is_tracked:
                          type: boolean
                          nullable: true
                        is_deleted:
                          type: boolean
                        is_deleted_at:
                          type: string
                          nullable: true
                        order:
                          type: integer
                        contract_value:
                          type: integer
                          nullable: true
                        contract_currency:
                          type: string
                          nullable: true
                        contract_name:
                          type: string
                          nullable: true
                        score:
                          type: integer
                          nullable: true
                        ai_enabled:
                          type: boolean
                        ai_enabled_at:
                          type: string
                          nullable: true
                        ai_summary:
                          type: string
                          nullable: true
                        ai_profile:
                          type: string
                          nullable: true
                        is_draft:
                          type: boolean
                        last_interaction_at:
                          type: string
                          nullable: true
                        id_linkedin_company:
                          type: string
                          nullable: true
                        id_linkedin:
                          type: string
                          nullable: true
                        id_space:
                          type: string
                          nullable: true
                        usersId:
                          type: string
                          nullable: true
                      additionalProperties: true
                  pagination:
                    anyOf:
                      - anyOf:
                          - type: object
                            properties:
                              all:
                                type: boolean
                                enum:
                                  - true
                            required:
                              - all
                          - type: object
                            properties:
                              cursor:
                                type: string
                              take:
                                type: number
                                default: 0
                              skip:
                                type: number
                                default: 0
                            required:
                              - cursor
                              - take
                              - skip
                      - type: object
                        properties:
                          page:
                            type: number
                            default: 0
                          page_size:
                            type: number
                            minimum: 10
                            maximum: 100
                            default: 30
                        required:
                          - page
                          - page_size
                    default:
                      page: 0
                      page_size: 30
                  total:
                    type: number
                required:
                  - leads
                  - pagination
                  - total
                additionalProperties: true
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - Authorization: []
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: X-API-KEY

````